Summary: Practical Extraction and Report Language
Name: perl
Version: 5.003
Release: 4
Copyright: GPL
Group: Utilities/Text
Source: ftp://ftp.funet.fi/pub/languages/perl/CPAN/src/5.0/perl5.003.tar.gz

%description
Perl is an interpreted language optimized for scanning arbitrary text
files, extracting information from those text files, and printing
reports based on that information.  It's also a good language for many
system management tasks.  Perl is intended to be practical (easy to
use, efficient, complete) rather than beautiful (tiny, elegant,
minimal).  It combines (in the author's opinion, anyway) some of the
best features of C, sed, awk, and sh, so people familiar with those
languages should have little difficulty with it.

%prep
%setup -n perl5.003

%build

# Perl doesn't find dlopen() in /lib/libdl.so, so we have to force it to.

%ifarch i386
./Configure -des -Dprefix=/usr -Darchlib=/usr/lib/perl5/i386-linux/5.003 -Ddosuid -Usuidsafe
%endif
%ifarch sparc
./Configure -des -Dprefix=/usr -Darchlib=/usr/lib/perl5/sparc-linux/5.003 -Ddosuid -Usuidsafe
%endif
%ifarch axp
./Configure -des -Dprefix=/usr -Darchlib=/usr/lib/perl5/alpha-linux/5.003 -Ddosuid -Usuidsafe
%endif
make
make suidperl

%install

rm -rf /usr/lib/perl5
make install
install -m 755 utils/pl2pm /usr/bin/pl2pm
install -m 6755 suidperl /usr/bin/suidperl
(cd /usr/include ; h2ph *.h sys/*.h linux/*.h asm/*.h)

# Fix the header file that declares NULL...
%ifarch i386
sed 's/( \&void \*) //' \
/usr/lib/perl5/i386-linux/5.003/linux/posix_types.ph > /tmp/$$.change
mv -f /tmp/$$.change /usr/lib/perl5/i386-linux/5.003/linux/posix_types.ph
%endif
%ifarch axp
sed 's/( \&void \*) //' \
/usr/lib/perl5/alpha-linux/5.003/linux/posix_types.ph > /tmp/$$.change
mv -f /tmp/$$.change /usr/lib/perl5/alpha-linux/5.003/linux/posix_types.ph
%endif
%ifarch sparc
sed 's/( \&void \*) //' \
/usr/lib/perl5/sparc-linux/5.003/linux/posix_types.ph > /tmp/$$.change
mv -f /tmp/$$.change /usr/lib/perl5/sparc-linux/5.003/linux/posix_types.ph
%endif
strip /usr/bin/perl5.003
strip /usr/bin/perl

%files
/usr/bin/perl5.003
/usr/bin/perl
/usr/bin/suidperl
/usr/bin/a2p
/usr/bin/c2ph
/usr/bin/pstruct
/usr/bin/s2p
/usr/bin/find2perl
/usr/bin/h2xs
/usr/bin/h2ph
/usr/bin/pl2pm
/usr/bin/perldoc
/usr/bin/pod2man
/usr/bin/pod2html
/usr/bin/pod2latex
/usr/lib/perl5
/usr/man/man1/a2p.1
/usr/man/man1/s2p.1
/usr/man/man1/perl*.1
